> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/public/executions/{id}

Get the current status and event timeline for a public execution

` GET /v1/public/executions/{id} `

Get the current status and event timeline for a public execution

## Parameters

### ` id ` (path, required)

Execution ID

- ` value `: type ` string `

### ` token ` (query, required)

Client token returned when the execution was created

- ` value `: type ` string `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 200 `

  - ` data `: type ` object `

    - ` checkoutSessionId `: type ` string `

    - ` clientSafeMetadata `: type ` object `

    - ` createdAt `: type ` string `

    - ` events `: type ` array `

      - ` array item `: type ` object `

        - ` createdAt `: type ` string `

        - ` eventType `: type ` string `

        - ` id `: type ` string `

        - ` level `: type ` string `

        - ` message `: type ` string `

        - ` nodeId `: type ` string `

        - ` runId `: type ` string `

        - ` title `: type ` string `

    - ` finishedAt `: type ` string `

    - ` id `: type ` string `

    - ` message `: type ` string `

    - ` orderId `: type ` string `

    - ` paymentStatus `: type ` string `

    - ` runId `: type ` string `

    - ` startedAt `: type ` string `

    - ` status `: type ` string `

      - enum: ` ["awaiting_payment","payment_confirmed","workflow_queued","workflow_running","workflow_waiting","workflow_succeeded","workflow_partial","workflow_failed","workflow_cancelled"] `

    - ` workflowId `: type ` string `

  - ` message `: type ` string `

    - example: ` "success" `

  - ` requestId `: type ` string `

    - example: ` "abc-123" `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/public/executions/string?token=string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/public/executions/string?token=string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/public/executions/string?token=string', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/public/executions/string?token=string", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```